/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_Countries;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_Countries;


/**
 * This class represents Countries - CID5001
 */
public class Countries_CID5001 
{
	
	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;

	/**
	 * Instantiates a new Countries_CID5001 Template 
	 */
	public Countries_CID5001()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}

	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumCountries Object of EnumCM_Countries represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_Countries enumCountries)
	{
		switch(enumCountries)
		{
		case AFGHANISTAN: this.strCodeValue =EnumCV_Countries.AFGHANISTAN_AF.getValue(); break;
		case AALAND_ISLANDS: this.strCodeValue =EnumCV_Countries.AALAND_ISLANDS_AX.getValue(); break;
		case ALBANIA: this.strCodeValue =EnumCV_Countries.ALBANIA_AL.getValue(); break;
		case ALGERIA: this.strCodeValue =EnumCV_Countries.ALGERIA_DZ.getValue(); break;
		case AMERICAN_SAMOA: this.strCodeValue =EnumCV_Countries.AMERICAN_SAMOA_AS.getValue(); break;
		case ANDORRA: this.strCodeValue =EnumCV_Countries.ANDORRA_AD.getValue(); break;
		case ANGOLA: this.strCodeValue =EnumCV_Countries.ANGOLA_AO.getValue(); break;
		case ANGUILLA: this.strCodeValue =EnumCV_Countries.ANGUILLA_AI.getValue(); break;
		case ANTARCTICA: this.strCodeValue =EnumCV_Countries.ANTARCTICA_AQ.getValue(); break;
		case ANTIGUA_AND_BARBUDA: this.strCodeValue =EnumCV_Countries.ANTIGUA_AND_BARBUDA_AG.getValue(); break;
		case ARGENTINA: this.strCodeValue =EnumCV_Countries.ARGENTINA_AR.getValue(); break;
		case ARMENIA: this.strCodeValue =EnumCV_Countries.ARMENIA_AM.getValue(); break;
		case ARUBA: this.strCodeValue =EnumCV_Countries.ARUBA_AW.getValue(); break;
		case AUSTRALIA: this.strCodeValue =EnumCV_Countries.AUSTRALIA_AU.getValue(); break;
		case AUSTRIA: this.strCodeValue =EnumCV_Countries.AUSTRIA_AT.getValue(); break;
		case AZERBAIJAN: this.strCodeValue =EnumCV_Countries.AZERBAIJAN_AZ.getValue(); break;
		case BAHRAIN: this.strCodeValue =EnumCV_Countries.BAHRAIN_BH.getValue(); break;
		case BAHAMAS: this.strCodeValue =EnumCV_Countries.BAHAMAS_BS.getValue(); break;
		case BANGLADESH: this.strCodeValue =EnumCV_Countries.BANGLADESH_BD.getValue(); break;
		case BARBADOS: this.strCodeValue =EnumCV_Countries.BARBADOS_BB.getValue(); break;
		case BELARUS: this.strCodeValue =EnumCV_Countries.BELARUS_BY.getValue(); break;
		case BELGIUM: this.strCodeValue =EnumCV_Countries.BELGIUM_BE.getValue(); break;
		case BELIZE: this.strCodeValue =EnumCV_Countries.BELIZE_BZ.getValue(); break;
		case BENIN: this.strCodeValue =EnumCV_Countries.BENIN_BJ.getValue(); break;
		case BERMUDA: this.strCodeValue =EnumCV_Countries.BERMUDA_BM.getValue(); break;
		case BHUTAN: this.strCodeValue =EnumCV_Countries.BHUTAN_BT.getValue(); break;
		case BOLIVIA_PLURINATIONAL_STATE_OF: this.strCodeValue =EnumCV_Countries.BOLIVIA_PLURINATIONAL_STATE_OF_BO.getValue(); break;
		case BONAIRE_SINT_EUSTATIUS_AND_SABA: this.strCodeValue =EnumCV_Countries.BONAIRE_SINT_EUSTATIUS_AND_SABA_BQ.getValue(); break;
		case BOSNIA_AND_HERZEGOVINA: this.strCodeValue =EnumCV_Countries.BOSNIA_AND_HERZEGOVINA_BA.getValue(); break;
		case BOTSWANA: this.strCodeValue =EnumCV_Countries.BOTSWANA_BW.getValue(); break;
		case BOUVET_ISLAND: this.strCodeValue =EnumCV_Countries.BOUVET_ISLAND_BV.getValue(); break;
		case BRAZIL: this.strCodeValue =EnumCV_Countries.BRAZIL_BR.getValue(); break;
		case BRITISH_INDIAN_OCEAN_TERRITORY: this.strCodeValue =EnumCV_Countries.BRITISH_INDIAN_OCEAN_TERRITORY_IO.getValue(); break;
		case BRUNEI_DARUSSALAM: this.strCodeValue =EnumCV_Countries.BRUNEI_DARUSSALAM_BN.getValue(); break;
		case BULGARIA: this.strCodeValue =EnumCV_Countries.BULGARIA_BG.getValue(); break;
		case BURKINA_FASO: this.strCodeValue =EnumCV_Countries.BURKINA_FASO_BF.getValue(); break;
		case BURUNDI: this.strCodeValue =EnumCV_Countries.BURUNDI_BI.getValue(); break;
		case CAMBODIA: this.strCodeValue =EnumCV_Countries.CAMBODIA_KH.getValue(); break;
		case CAMEROON: this.strCodeValue =EnumCV_Countries.CAMEROON_CM.getValue(); break;
		case CANADA: this.strCodeValue =EnumCV_Countries.CANADA_CA.getValue(); break;
		case CAPE_VERDE: this.strCodeValue =EnumCV_Countries.CAPE_VERDE_CV.getValue(); break;
		case CAYMAN_ISLANDS: this.strCodeValue =EnumCV_Countries.CAYMAN_ISLANDS_KY.getValue(); break;
		case CENTRAL_AFRICAN_REPUBLIC: this.strCodeValue =EnumCV_Countries.CENTRAL_AFRICAN_REPUBLIC_CF.getValue(); break;
		case CHAD: this.strCodeValue =EnumCV_Countries.CHAD_TD.getValue(); break;
		case CHILE: this.strCodeValue =EnumCV_Countries.CHILE_CL.getValue(); break;
		case CHINA: this.strCodeValue =EnumCV_Countries.CHINA_CN.getValue(); break;
		case CHRISTMAS_ISLAND: this.strCodeValue =EnumCV_Countries.CHRISTMAS_ISLAND_CX.getValue(); break;
		case COCOS_KEELING_ISLANDS: this.strCodeValue =EnumCV_Countries.COCOS_KEELING_ISLANDS_CC.getValue(); break;
		case COLOMBIA: this.strCodeValue =EnumCV_Countries.COLOMBIA_CO.getValue(); break;
		case COMOROS: this.strCodeValue =EnumCV_Countries.COMOROS_KM.getValue(); break;
		case CONGO: this.strCodeValue =EnumCV_Countries.CONGO_CG.getValue(); break;
		case CONGO_THE_DEMOCRATIC_REPUBLIC_OF_THE: this.strCodeValue =EnumCV_Countries.CONGO_THE_DEMOCRATIC_REPUBLIC_OF_THE_CD.getValue(); break;
		case COOK_ISLANDS: this.strCodeValue =EnumCV_Countries.COOK_ISLANDS_CK.getValue(); break;
		case COSTA_RICA: this.strCodeValue =EnumCV_Countries.COSTA_RICA_CR.getValue(); break;
		case COTE_D_IVOIRE: this.strCodeValue =EnumCV_Countries.COTE_D_IVOIRE_CI.getValue(); break;
		case CROATIA: this.strCodeValue =EnumCV_Countries.CROATIA_HR.getValue(); break;
		case CUBA: this.strCodeValue =EnumCV_Countries.CUBA_CU.getValue(); break;
		case CYPRUS: this.strCodeValue =EnumCV_Countries.CYPRUS_CY.getValue(); break;
		case CZECH_REPUBLIC: this.strCodeValue =EnumCV_Countries.CZECH_REPUBLIC_CZ.getValue(); break;
		case DENMARK: this.strCodeValue =EnumCV_Countries.DENMARK_DK.getValue(); break;
		case DJIBOUTI: this.strCodeValue =EnumCV_Countries.DJIBOUTI_DJ.getValue(); break;
		case DOMINICA: this.strCodeValue =EnumCV_Countries.DOMINICA_DM.getValue(); break;
		case DOMINICAN_REPUBLIC: this.strCodeValue =EnumCV_Countries.DOMINICAN_REPUBLIC_DO.getValue(); break;
		case ECUADOR: this.strCodeValue =EnumCV_Countries.ECUADOR_EC.getValue(); break;
		case EGYPT: this.strCodeValue =EnumCV_Countries.EGYPT_EG.getValue(); break;
		case EL_SALVADOR: this.strCodeValue =EnumCV_Countries.EL_SALVADOR_SV.getValue(); break;
		case EQUATORIAL_GUINEA: this.strCodeValue =EnumCV_Countries.EQUATORIAL_GUINEA_GQ.getValue(); break;
		case ERITREA: this.strCodeValue =EnumCV_Countries.ERITREA_ER.getValue(); break;
		case ESTONIA: this.strCodeValue =EnumCV_Countries.ESTONIA_EE.getValue(); break;
		case ETHIOPIA: this.strCodeValue =EnumCV_Countries.ETHIOPIA_ET.getValue(); break;
		case FALKLAND_ISLANDS_MALVINAS: this.strCodeValue =EnumCV_Countries.FALKLAND_ISLANDS_MALVINAS_FK.getValue(); break;
		case FAROE_ISLANDS: this.strCodeValue =EnumCV_Countries.FAROE_ISLANDS_FO.getValue(); break;
		case FIJI: this.strCodeValue =EnumCV_Countries.FIJI_FJ.getValue(); break;
		case FINLAND: this.strCodeValue =EnumCV_Countries.FINLAND_FI.getValue(); break;
		case FRANCE: this.strCodeValue =EnumCV_Countries.FRANCE_FR.getValue(); break;
		case FRENCH_GUIANA: this.strCodeValue =EnumCV_Countries.FRENCH_GUIANA_GF.getValue(); break;
		case FRENCH_POLYNESIA: this.strCodeValue =EnumCV_Countries.FRENCH_POLYNESIA_PF.getValue(); break;
		case FRENCH_SOUTHERN_TERRITORIES: this.strCodeValue =EnumCV_Countries.FRENCH_SOUTHERN_TERRITORIES_TF.getValue(); break;
		case GABON: this.strCodeValue =EnumCV_Countries.GABON_GA.getValue(); break;
		case GAMBIA: this.strCodeValue =EnumCV_Countries.GAMBIA_GM.getValue(); break;
		case GEORGIA: this.strCodeValue =EnumCV_Countries.GEORGIA_GE.getValue(); break;
		case GERMANY: this.strCodeValue =EnumCV_Countries.GERMANY_DE.getValue(); break;
		case GHANA: this.strCodeValue =EnumCV_Countries.GHANA_GH.getValue(); break;
		case GIBRALTAR: this.strCodeValue =EnumCV_Countries.GIBRALTAR_GI.getValue(); break;
		case GREECE: this.strCodeValue =EnumCV_Countries.GREECE_GR.getValue(); break;
		case GREENLAND: this.strCodeValue =EnumCV_Countries.GREENLAND_GL.getValue(); break;
		case GRENADA: this.strCodeValue =EnumCV_Countries.GRENADA_GD.getValue(); break;
		case GUADELOUPE: this.strCodeValue =EnumCV_Countries.GUADELOUPE_GP.getValue(); break;
		case GUAM: this.strCodeValue =EnumCV_Countries.GUAM_GU.getValue(); break;
		case GUATEMALA: this.strCodeValue =EnumCV_Countries.GUATEMALA_GT.getValue(); break;
		case GUERNSEY: this.strCodeValue =EnumCV_Countries.GUERNSEY_GG.getValue(); break;
		case GUINEA: this.strCodeValue =EnumCV_Countries.GUINEA_GN.getValue(); break;
		case GUINEA_BISSAU: this.strCodeValue =EnumCV_Countries.GUINEA_BISSAU_GW.getValue(); break;
		case GUYANA: this.strCodeValue =EnumCV_Countries.GUYANA_GY.getValue(); break;
		case HAITI: this.strCodeValue =EnumCV_Countries.HAITI_HT.getValue(); break;
		case HEARD_ISLAND_AND_MCDONALD_ISLANDS: this.strCodeValue =EnumCV_Countries.HEARD_ISLAND_AND_MCDONALD_ISLANDS_HM.getValue(); break;
		case HOLY_SEE_VATICAN_CITY_STATE: this.strCodeValue =EnumCV_Countries.HOLY_SEE_VATICAN_CITY_STATE_VA.getValue(); break;
		case HONDURAS: this.strCodeValue =EnumCV_Countries.HONDURAS_HN.getValue(); break;
		case HONG_KONG: this.strCodeValue =EnumCV_Countries.HONG_KONG_HK.getValue(); break;
		case HUNGARY: this.strCodeValue =EnumCV_Countries.HUNGARY_HU.getValue(); break;
		case ICELAND: this.strCodeValue =EnumCV_Countries.ICELAND_IS.getValue(); break;
		case INDIA: this.strCodeValue =EnumCV_Countries.INDIA_IN.getValue(); break;
		case INDONESIA: this.strCodeValue =EnumCV_Countries.INDONESIA_ID.getValue(); break;
		case IRAN_ISLAMIC_REPUBLIC_OF: this.strCodeValue =EnumCV_Countries.IRAN_ISLAMIC_REPUBLIC_OF_IR.getValue(); break;
		case IRAQ: this.strCodeValue =EnumCV_Countries.IRAQ_IQ.getValue(); break;
		case IRELAND: this.strCodeValue =EnumCV_Countries.IRELAND_IE.getValue(); break;
		case ISLE_OF_MAN: this.strCodeValue =EnumCV_Countries.ISLE_OF_MAN_IM.getValue(); break;
		case ISRAEL: this.strCodeValue =EnumCV_Countries.ISRAEL_IL.getValue(); break;
		case ITALY: this.strCodeValue =EnumCV_Countries.ITALY_IT.getValue(); break;
		case JAMAICA: this.strCodeValue =EnumCV_Countries.JAMAICA_JM.getValue(); break;
		case JAPAN: this.strCodeValue =EnumCV_Countries.JAPAN_JP.getValue(); break;
		case JERSEY: this.strCodeValue =EnumCV_Countries.JERSEY_JE.getValue(); break;
		case JORDAN: this.strCodeValue =EnumCV_Countries.JORDAN_JO.getValue(); break;
		case KAZAKHSTAN: this.strCodeValue =EnumCV_Countries.KAZAKHSTAN_KZ.getValue(); break;
		case KENYA: this.strCodeValue =EnumCV_Countries.KENYA_KE.getValue(); break;
		case KIRIBATI: this.strCodeValue =EnumCV_Countries.KIRIBATI_KI.getValue(); break;
		case KOREA_DEMOCRATIC_PEOPLES_REPUBLIC_OF: this.strCodeValue =EnumCV_Countries.KOREA_DEMOCRATIC_PEOPLES_REPUBLIC_OF_KP.getValue(); break;
		case KOREA_REPUBLIC_OF: this.strCodeValue =EnumCV_Countries.KOREA_REPUBLIC_OF_KR.getValue(); break;
		case KUWAIT: this.strCodeValue =EnumCV_Countries.KUWAIT_KW.getValue(); break;
		case KYRGYZSTAN: this.strCodeValue =EnumCV_Countries.KYRGYZSTAN_KG.getValue(); break;
		case LAO_PEOPLES_DEMOCRATIC_REPUBLIC: this.strCodeValue =EnumCV_Countries.LAO_PEOPLES_DEMOCRATIC_REPUBLIC_LA.getValue(); break;
		case LATVIA: this.strCodeValue =EnumCV_Countries.LATVIA_LV.getValue(); break;
		case LEBANON: this.strCodeValue =EnumCV_Countries.LEBANON_LB.getValue(); break;
		case LESOTHO: this.strCodeValue =EnumCV_Countries.LESOTHO_LS.getValue(); break;
		case LIBERIA: this.strCodeValue =EnumCV_Countries.LIBERIA_LR.getValue(); break;
		case LIBYA: this.strCodeValue =EnumCV_Countries.LIBYA_LY.getValue(); break;
		case LIECHTENSTEIN: this.strCodeValue =EnumCV_Countries.LIECHTENSTEIN_LI.getValue(); break;
		case LITHUANIA: this.strCodeValue =EnumCV_Countries.LITHUANIA_LT.getValue(); break;
		case LUXEMBOURG: this.strCodeValue =EnumCV_Countries.LUXEMBOURG_LU.getValue(); break;
		case MACAO: this.strCodeValue =EnumCV_Countries.MACAO_MO.getValue(); break;
		case MACEDONIA_THE_FORMER_YUGOSLAV_REPUBLIC_OF: this.strCodeValue =EnumCV_Countries.MACEDONIA_THE_FORMER_YUGOSLAV_REPUBLIC_OF_MK.getValue(); break;
		case MADAGASCAR: this.strCodeValue =EnumCV_Countries.MADAGASCAR_MG.getValue(); break;
		case MALAWI: this.strCodeValue =EnumCV_Countries.MALAWI_MW.getValue(); break;
		case MALAYSIA: this.strCodeValue =EnumCV_Countries.MALAYSIA_MY.getValue(); break;
		case MALDIVES: this.strCodeValue =EnumCV_Countries.MALDIVES_MV.getValue(); break;
		case MALI: this.strCodeValue =EnumCV_Countries.MALI_ML.getValue(); break;
		case MALTA: this.strCodeValue =EnumCV_Countries.MALTA_MT.getValue(); break;
		case MARSHALL_ISLANDS: this.strCodeValue =EnumCV_Countries.MARSHALL_ISLANDS_MH.getValue(); break;
		case MARTINIQUE: this.strCodeValue =EnumCV_Countries.MARTINIQUE_MQ.getValue(); break;
		case MAURITANIA: this.strCodeValue =EnumCV_Countries.MAURITANIA_MR.getValue(); break;
		case MAURITIUS: this.strCodeValue =EnumCV_Countries.MAURITIUS_MU.getValue(); break;
		case MAYOTTE: this.strCodeValue =EnumCV_Countries.MAYOTTE_YT.getValue(); break;
		case MEXICO: this.strCodeValue =EnumCV_Countries.MEXICO_MX.getValue(); break;
		case MICRONESIA_FEDERATED_STATES_OF: this.strCodeValue =EnumCV_Countries.MICRONESIA_FEDERATED_STATES_OF_FM.getValue(); break;
		case MOLDOVA_REPUBLIC_OF: this.strCodeValue =EnumCV_Countries.MOLDOVA_REPUBLIC_OF_MD.getValue(); break;
		case MONACO: this.strCodeValue =EnumCV_Countries.MONACO_MC.getValue(); break;
		case MONGOLIA: this.strCodeValue =EnumCV_Countries.MONGOLIA_MN.getValue(); break;
		case MONTENEGRO: this.strCodeValue =EnumCV_Countries.MONTENEGRO_ME.getValue(); break;
		case MONTSERRAT: this.strCodeValue =EnumCV_Countries.MONTSERRAT_MS.getValue(); break;
		case MOROCCO: this.strCodeValue =EnumCV_Countries.MOROCCO_MA.getValue(); break;
		case MOZAMBIQUE: this.strCodeValue =EnumCV_Countries.MOZAMBIQUE_MZ.getValue(); break;
		case MYANMAR: this.strCodeValue =EnumCV_Countries.MYANMAR_MM.getValue(); break;
		case NAMIBIA: this.strCodeValue =EnumCV_Countries.NAMIBIA_NA.getValue(); break;
		case NAURU: this.strCodeValue =EnumCV_Countries.NAURU_NR.getValue(); break;
		case NEPAL: this.strCodeValue =EnumCV_Countries.NEPAL_NP.getValue(); break;
		case NETHERLANDS: this.strCodeValue =EnumCV_Countries.NETHERLANDS_NL.getValue(); break;
		case NEW_CALEDONIA: this.strCodeValue =EnumCV_Countries.NEW_CALEDONIA_NC.getValue(); break;
		case NEW_ZEALAND: this.strCodeValue =EnumCV_Countries.NEW_ZEALAND_NZ.getValue(); break;
		case NICARAGUA: this.strCodeValue =EnumCV_Countries.NICARAGUA_NI.getValue(); break;
		case NIGER: this.strCodeValue =EnumCV_Countries.NIGER_NE.getValue(); break;
		case NIGERIA: this.strCodeValue =EnumCV_Countries.NIGERIA_NG.getValue(); break;
		case NIUE: this.strCodeValue =EnumCV_Countries.NIUE_NU.getValue(); break;
		case NORFOLK_ISLAND: this.strCodeValue =EnumCV_Countries.NORFOLK_ISLAND_NF.getValue(); break;
		case NORTHERN_MARIANA_ISLANDS: this.strCodeValue =EnumCV_Countries.NORTHERN_MARIANA_ISLANDS_MP.getValue(); break;
		case NORWAY: this.strCodeValue =EnumCV_Countries.NORWAY_NO.getValue(); break;
		case OMAN: this.strCodeValue =EnumCV_Countries.OMAN_OM.getValue(); break;
		case PAKISTAN: this.strCodeValue =EnumCV_Countries.PAKISTAN_PK.getValue(); break;
		case PALAU: this.strCodeValue =EnumCV_Countries.PALAU_PW.getValue(); break;
		case PALESTINE_STATE_OF: this.strCodeValue =EnumCV_Countries.PALESTINE_STATE_OF_PS.getValue(); break;
		case PANAMA: this.strCodeValue =EnumCV_Countries.PANAMA_PA.getValue(); break;
		case PAPUA_NEW_GUINEA: this.strCodeValue =EnumCV_Countries.PAPUA_NEW_GUINEA_PG.getValue(); break;
		case PARAGUAY: this.strCodeValue =EnumCV_Countries.PARAGUAY_PY.getValue(); break;
		case PERU: this.strCodeValue =EnumCV_Countries.PERU_PE.getValue(); break;
		case PHILIPPINES: this.strCodeValue =EnumCV_Countries.PHILIPPINES_PH.getValue(); break;
		case PITCAIRN: this.strCodeValue =EnumCV_Countries.PITCAIRN_PN.getValue(); break;
		case POLAND: this.strCodeValue =EnumCV_Countries.POLAND_PL.getValue(); break;
		case PORTUGAL: this.strCodeValue =EnumCV_Countries.PORTUGAL_PT.getValue(); break;
		case PUERTO_RICO: this.strCodeValue =EnumCV_Countries.PUERTO_RICO_PR.getValue(); break;
		case QATAR: this.strCodeValue =EnumCV_Countries.QATAR_QA.getValue(); break;
		case RAUNION: this.strCodeValue =EnumCV_Countries.RAUNION_RE.getValue(); break;
		case ROMANIA: this.strCodeValue =EnumCV_Countries.ROMANIA_RO.getValue(); break;
		case RUSSIAN_FEDERATION: this.strCodeValue =EnumCV_Countries.RUSSIAN_FEDERATION_RU.getValue(); break;
		case RWANDA: this.strCodeValue =EnumCV_Countries.RWANDA_RW.getValue(); break;
		case SAINT_BARTHALEMY: this.strCodeValue =EnumCV_Countries.SAINT_BARTHALEMY_BL.getValue(); break;
		case SAINT_HELENA_ASCENSION_AND_TRISTAN_DA_CUNHA: this.strCodeValue =EnumCV_Countries.SAINT_HELENA_ASCENSION_AND_TRISTAN_DA_CUNHA_SH.getValue(); break;
		case SAINT_KITTS_AND_NEVIS: this.strCodeValue =EnumCV_Countries.SAINT_KITTS_AND_NEVIS_KN.getValue(); break;
		case SAINT_LUCIA: this.strCodeValue =EnumCV_Countries.SAINT_LUCIA_LC.getValue(); break;
		case SAINT_MARTIN_FRENCH_PART: this.strCodeValue =EnumCV_Countries.SAINT_MARTIN_FRENCH_PART_MF.getValue(); break;
		case SAINT_PIERRE_AND_MIQUELON: this.strCodeValue =EnumCV_Countries.SAINT_PIERRE_AND_MIQUELON_PM.getValue(); break;
		case SAINT_VINCENT_AND_THE_GRENADINES: this.strCodeValue =EnumCV_Countries.SAINT_VINCENT_AND_THE_GRENADINES_VC.getValue(); break;
		case SAMOA: this.strCodeValue =EnumCV_Countries.SAMOA_WS.getValue(); break;
		case SAN_MARINO: this.strCodeValue =EnumCV_Countries.SAN_MARINO_SM.getValue(); break;
		case SAO_TOME_AND_PRINCIPE: this.strCodeValue =EnumCV_Countries.SAO_TOME_AND_PRINCIPE_ST.getValue(); break;
		case SAUDI_ARABIA: this.strCodeValue =EnumCV_Countries.SAUDI_ARABIA_SA.getValue(); break;
		case SENEGAL: this.strCodeValue =EnumCV_Countries.SENEGAL_SN.getValue(); break;
		case SERBIA: this.strCodeValue =EnumCV_Countries.SERBIA_RS.getValue(); break;
		case SEYCHELLES: this.strCodeValue =EnumCV_Countries.SEYCHELLES_SC.getValue(); break;
		case SIERRA_LEONE: this.strCodeValue =EnumCV_Countries.SIERRA_LEONE_SL.getValue(); break;
		case SINGAPORE: this.strCodeValue =EnumCV_Countries.SINGAPORE_SG.getValue(); break;
		case SINT_MAARTEN_DUTCH_PART: this.strCodeValue =EnumCV_Countries.SINT_MAARTEN_DUTCH_PART_SX.getValue(); break;
		case SLOVAKIA: this.strCodeValue =EnumCV_Countries.SLOVAKIA_SK.getValue(); break;
		case SLOVENIA: this.strCodeValue =EnumCV_Countries.SLOVENIA_SI.getValue(); break;
		case SOLOMON_ISLANDS: this.strCodeValue =EnumCV_Countries.SOLOMON_ISLANDS_SB.getValue(); break;
		case SOMALIA: this.strCodeValue =EnumCV_Countries.SOMALIA_SO.getValue(); break;
		case SOUTH_AFRICA: this.strCodeValue =EnumCV_Countries.SOUTH_AFRICA_ZA.getValue(); break;
		case SOUTH_GEORGIA_AND_THE_SOUTH_SANDWICH_ISLANDS: this.strCodeValue =EnumCV_Countries.SOUTH_GEORGIA_AND_THE_SOUTH_SANDWICH_ISLANDS_GS.getValue(); break;
		case SOUTH_SUDAN: this.strCodeValue =EnumCV_Countries.SOUTH_SUDAN_SS.getValue(); break;
		case SPAIN: this.strCodeValue =EnumCV_Countries.SPAIN_ES.getValue(); break;
		case SRI_LANKA: this.strCodeValue =EnumCV_Countries.SRI_LANKA_LK.getValue(); break;
		case SUDAN: this.strCodeValue =EnumCV_Countries.SUDAN_SD.getValue(); break;
		case SURINAME: this.strCodeValue =EnumCV_Countries.SURINAME_SR.getValue(); break;
		case SVALBARD_AND_JAN_MAYEN: this.strCodeValue =EnumCV_Countries.SVALBARD_AND_JAN_MAYEN_SJ.getValue(); break;
		case SWAZILAND: this.strCodeValue =EnumCV_Countries.SWAZILAND_SZ.getValue(); break;
		case SWEDEN: this.strCodeValue =EnumCV_Countries.SWEDEN_SE.getValue(); break;
		case SWITZERLAND: this.strCodeValue =EnumCV_Countries.SWITZERLAND_CH.getValue(); break;
		case SYRIAN_ARAB_REPUBLIC: this.strCodeValue =EnumCV_Countries.SYRIAN_ARAB_REPUBLIC_SY.getValue(); break;
		case TAIWAN_PROVINCE_OF_CHINA: this.strCodeValue =EnumCV_Countries.TAIWAN_PROVINCE_OF_CHINA_TW.getValue(); break;
		case TAJIKISTAN: this.strCodeValue =EnumCV_Countries.TAJIKISTAN_TJ.getValue(); break;
		case TANZANIA_UNITED_REPUBLIC_OF: this.strCodeValue =EnumCV_Countries.TANZANIA_UNITED_REPUBLIC_OF_TZ.getValue(); break;
		case THAILAND: this.strCodeValue =EnumCV_Countries.THAILAND_TH.getValue(); break;
		case TIMOR_LESTE: this.strCodeValue =EnumCV_Countries.TIMOR_LESTE_TL.getValue(); break;
		case TOGO: this.strCodeValue =EnumCV_Countries.TOGO_TG.getValue(); break;
		case TOKELAU: this.strCodeValue =EnumCV_Countries.TOKELAU_TK.getValue(); break;
		case TONGA: this.strCodeValue =EnumCV_Countries.TONGA_TO.getValue(); break;
		case TRINIDAD_AND_TOBAGO: this.strCodeValue =EnumCV_Countries.TRINIDAD_AND_TOBAGO_TT.getValue(); break;
		case TUNISIA: this.strCodeValue =EnumCV_Countries.TUNISIA_TN.getValue(); break;
		case TURKEY: this.strCodeValue =EnumCV_Countries.TURKEY_TR.getValue(); break;
		case TURKMENISTAN: this.strCodeValue =EnumCV_Countries.TURKMENISTAN_TM.getValue(); break;
		case TURKS_AND_CAICOS_ISLANDS: this.strCodeValue =EnumCV_Countries.TURKS_AND_CAICOS_ISLANDS_TC.getValue(); break;
		case TUVALU: this.strCodeValue =EnumCV_Countries.TUVALU_TV.getValue(); break;
		case UGANDA: this.strCodeValue =EnumCV_Countries.UGANDA_UG.getValue(); break;
		case UKRAINE: this.strCodeValue =EnumCV_Countries.UKRAINE_UA.getValue(); break;
		case UNITED_ARAB_EMIRATES: this.strCodeValue =EnumCV_Countries.UNITED_ARAB_EMIRATES_AE.getValue(); break;
		case UNITED_KINGDOM: this.strCodeValue =EnumCV_Countries.UNITED_KINGDOM_GB.getValue(); break;
		case UNITED_STATES: this.strCodeValue =EnumCV_Countries.UNITED_STATES_US.getValue(); break;
		case UNITED_STATES_MINOR_OUTLYING_ISLANDS: this.strCodeValue =EnumCV_Countries.UNITED_STATES_MINOR_OUTLYING_ISLANDS_UM.getValue(); break;
		case URUGUAY: this.strCodeValue =EnumCV_Countries.URUGUAY_UY.getValue(); break;
		case UZBEKISTAN: this.strCodeValue =EnumCV_Countries.UZBEKISTAN_UZ.getValue(); break;
		case VANUATU: this.strCodeValue =EnumCV_Countries.VANUATU_VU.getValue(); break;
		case VENEZUELA_BOLIVARIAN_REPUBLIC_OF: this.strCodeValue =EnumCV_Countries.VENEZUELA_BOLIVARIAN_REPUBLIC_OF_VE.getValue(); break;
		case VIET_NAM: this.strCodeValue =EnumCV_Countries.VIET_NAM_VN.getValue(); break;
		case VIRGIN_ISLANDS_BRITISH: this.strCodeValue =EnumCV_Countries.VIRGIN_ISLANDS_BRITISH_VG.getValue(); break;
		case VIRGIN_ISLANDS_U_S_: this.strCodeValue =EnumCV_Countries.VIRGIN_ISLANDS_U_S__VI.getValue(); break;
		case WALLIS_AND_FUTUNA: this.strCodeValue =EnumCV_Countries.WALLIS_AND_FUTUNA_WF.getValue(); break;
		case WESTERN_SAHARA: this.strCodeValue =EnumCV_Countries.WESTERN_SAHARA_EH.getValue(); break;
		case YEMEN: this.strCodeValue =EnumCV_Countries.YEMEN_YE.getValue(); break;
		case ZAMBIA: this.strCodeValue =EnumCV_Countries.ZAMBIA_ZM.getValue(); break;
		case ZIMBABWE: this.strCodeValue =EnumCV_Countries.ZIMBABWE_ZW.getValue(); break;
		}
	}

	/**
	 * Sets the value for Countries
	 * @param enumCountries Object of EnumCM_Countries.
	 */
	public void setCountries(EnumCM_Countries enumCountries)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumCountries.getValue();
		this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.ISO_THREE_ONE_SIX_SIX_ONE.getValue();
		
		/**
		 * set code Value
		 */
		setCodeValue(enumCountries);
	}
}